GuidedExtensionBuilder Class

class NXOpen.Tooling.GuidedExtensionBuilder

Bases: NXOpen.Builder

Builder for creating Guided Extension surface in NX

To create a new instance of this class, use NXOpen.Tooling.GuidedExtensionManager.CreateBuilder()

Default values.

Property Value
AngleTolerance 0.5
CheckSurfaces 0
DistanceTolerance 0.01
ExtendLength.Value 10 (millimeters part), 10 (inches part)
GuideLineAngle1.Value 0
GuideLineAngle2.Value 0

New in version NX9.0.0.

Properties

Property Description
AngleTolerance Returns or sets the angle tolerance for use in creating the guided extension surfaces
CheckSurfaces Returns or sets the option for checking the resulting guided extension surfaces for geometry issues
DistanceTolerance Returns or sets the distance tolerance for use in creating the guided extension surfaces
ExtendLength Returns the extend length for use in creating the guided extension surfaces
GuideLineAngle1 Returns the rotation angle for the first guide line at one of the end points of the selected segment
GuideLineAngle2 Returns the rotation angle for the second guide line at one of the end points of the selected segment
SegmentEdges Returns the list of segment edges that represent a segment
SheetEdges Returns the sheet edges of a sheet body
Tag Returns the Tag for this object.

Methods

Method Description
ChangeGuideLineDirectionAndLength Changes the direction and length of a guide line.
Commit Commits any edits that have been applied to the builder.
CreateGuideLine Creates a guide line at one of the end points of the sheet edge in the selection.
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetObject Returns the object currently being edited by this builder.
MergeSegment Merges the selected segment with its neighboring segments.
ResetAllSegments The action that resets all the segments in the loop to their original state
RestoreSegments Unmerges the selected segment restoring the original segments before the merge using Tooling.GuidedExtensionBuilder.MergeSegment().
SetLastSelectedLoopIndex Sets the loop index for the last selected loop which contains the last selected edge.
SetReverseExtendDirection Reverses surface extend direction
SetSelectedSegmentType Sets the segment type for the selected segment.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
SplitSegment Splits the selected segment into multiple segments by placing guide lines at end points of the edges for the selected segment.
UpdateAllGuideLinesLength Updates the length of all the guide lines whenever the user changes the extend length of the surfaces interactively.
UpdateSheetEdges Updates the information for the sheet edges of the selected section whenever sheet edges are selected or de-selected.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Enumerations

GuidedExtensionBuilderSegmentType Enumeration Segment type for segments

Property Detail

AngleTolerance

GuidedExtensionBuilder.AngleTolerance

Returns or sets the angle tolerance for use in creating the guided extension surfaces

-------------------------------------

Getter Method

Signature AngleTolerance

Returns:
Return type:float

New in version NX9.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR nx_freeform_2 (“advanced freeform modeling”) OR ug_mold_design (“UG MOLD”) OR die_engineering (“DIE ENGINEERING”)

-------------------------------------

Setter Method

Signature AngleTolerance

Parameters:angleTolerance (float) –

New in version NX9.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR nx_freeform_2 (“advanced freeform modeling”) OR ug_mold_design (“UG MOLD”) OR die_engineering (“DIE ENGINEERING”)

CheckSurfaces

GuidedExtensionBuilder.CheckSurfaces

Returns or sets the option for checking the resulting guided extension surfaces for geometry issues

-------------------------------------

Getter Method

Signature CheckSurfaces

Returns:
Return type:bool

New in version NX9.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR nx_freeform_2 (“advanced freeform modeling”) OR ug_mold_design (“UG MOLD”) OR die_engineering (“DIE ENGINEERING”)

-------------------------------------

Setter Method

Signature CheckSurfaces

Parameters:checkSurfaces (bool) –

New in version NX9.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR nx_freeform_2 (“advanced freeform modeling”) OR ug_mold_design (“UG MOLD”) OR die_engineering (“DIE ENGINEERING”)

DistanceTolerance

GuidedExtensionBuilder.DistanceTolerance

Returns or sets the distance tolerance for use in creating the guided extension surfaces

-------------------------------------

Getter Method

Signature DistanceTolerance

Returns:
Return type:float

New in version NX9.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR nx_freeform_2 (“advanced freeform modeling”) OR ug_mold_design (“UG MOLD”) OR die_engineering (“DIE ENGINEERING”)

-------------------------------------

Setter Method

Signature DistanceTolerance

Parameters:distanceTolerance (float) –

New in version NX9.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR nx_freeform_2 (“advanced freeform modeling”) OR ug_mold_design (“UG MOLD”) OR die_engineering (“DIE ENGINEERING”)

ExtendLength

GuidedExtensionBuilder.ExtendLength

Returns the extend length for use in creating the guided extension surfaces

-------------------------------------

Getter Method

Signature ExtendLength

Returns:
Return type:NXOpen.Expression

New in version NX9.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR nx_freeform_2 (“advanced freeform modeling”) OR ug_mold_design (“UG MOLD”) OR die_engineering (“DIE ENGINEERING”)

GuideLineAngle1

GuidedExtensionBuilder.GuideLineAngle1

Returns the rotation angle for the first guide line at one of the end points of the selected segment

-------------------------------------

Getter Method

Signature GuideLineAngle1

Returns:
Return type:NXOpen.Expression

New in version NX9.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR free_form_modeling (“FREE-FORM MODELING”) OR ug_mold_design (“UG MOLD”) OR die_engineering (“DIE ENGINEERING”)

GuideLineAngle2

GuidedExtensionBuilder.GuideLineAngle2

Returns the rotation angle for the second guide line at one of the end points of the selected segment

-------------------------------------

Getter Method

Signature GuideLineAngle2

Returns:
Return type:NXOpen.Expression

New in version NX9.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR nx_freeform_2 (“advanced freeform modeling”) OR ug_mold_design (“UG MOLD”) OR die_engineering (“DIE ENGINEERING”)

SegmentEdges

GuidedExtensionBuilder.SegmentEdges

Returns the list of segment edges that represent a segment

-------------------------------------

Getter Method

Signature SegmentEdges

Returns:
Return type:NXOpen.ScCollector

New in version NX9.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR nx_freeform_2 (“advanced freeform modeling”) OR ug_mold_design (“UG MOLD”) OR die_engineering (“DIE ENGINEERING”)

SheetEdges

GuidedExtensionBuilder.SheetEdges

Returns the sheet edges of a sheet body

-------------------------------------

Getter Method

Signature SheetEdges

Returns:
Return type:NXOpen.Section

New in version NX9.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR nx_freeform_2 (“advanced freeform modeling”) OR ug_mold_design (“UG MOLD”) OR die_engineering (“DIE ENGINEERING”)

Method Detail

ChangeGuideLineDirectionAndLength

GuidedExtensionBuilder.ChangeGuideLineDirectionAndLength

Changes the direction and length of a guide line.

Signature ChangeGuideLineDirectionAndLength(guideLine, guideLineVector, guideLineLength)

Parameters:
  • guideLine (NXOpen.Curve) – Guide line to be changed
  • guideLineVector (NXOpen.Vector3d) – Direction vector
  • guideLineLength (float) – Length of guide line

New in version NX9.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR nx_freeform_2 (“advanced freeform modeling”) OR ug_mold_design (“UG MOLD”) OR die_engineering (“DIE ENGINEERING”)

CreateGuideLine

GuidedExtensionBuilder.CreateGuideLine

Creates a guide line at one of the end points of the sheet edge in the selection.

Signature CreateGuideLine(assocEdge, guideLinePnt, guideLineVector, guideLineLength)

Parameters:
  • assocEdge (NXOpen.Edge) – Associated curve of the guide line to be created
  • guideLinePnt (NXOpen.Point3d) – Guide line point
  • guideLineVector (NXOpen.Vector3d) – Guide line vector
  • guideLineLength (float) – Guide line length
Returns:

Guide line created

Return type:

NXOpen.Curve

New in version NX9.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR nx_freeform_2 (“advanced freeform modeling”) OR ug_mold_design (“UG MOLD”) OR die_engineering (“DIE ENGINEERING”)

MergeSegment

GuidedExtensionBuilder.MergeSegment

Merges the selected segment with its neighboring segments.

Signature MergeSegment()

New in version NX9.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR nx_freeform_2 (“advanced freeform modeling”) OR ug_mold_design (“UG MOLD”) OR die_engineering (“DIE ENGINEERING”)

ResetAllSegments

GuidedExtensionBuilder.ResetAllSegments

The action that resets all the segments in the loop to their original state

Signature ResetAllSegments()

New in version NX9.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR nx_freeform_2 (“advanced freeform modeling”) OR ug_mold_design (“UG MOLD”) OR die_engineering (“DIE ENGINEERING”)

RestoreSegments

GuidedExtensionBuilder.RestoreSegments

Unmerges the selected segment restoring the original segments before the merge using Tooling.GuidedExtensionBuilder.MergeSegment().

Signature RestoreSegments()

New in version NX9.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR nx_freeform_2 (“advanced freeform modeling”) OR ug_mold_design (“UG MOLD”) OR die_engineering (“DIE ENGINEERING”)

SetLastSelectedLoopIndex

GuidedExtensionBuilder.SetLastSelectedLoopIndex

Sets the loop index for the last selected loop which contains the last selected edge.

Signature SetLastSelectedLoopIndex(lastSelectedLoopIndex)

Parameters:lastSelectedLoopIndex (int) – Loop index of the last selected loop

New in version NX9.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR nx_freeform_2 (“advanced freeform modeling”) OR ug_mold_design (“UG MOLD”) OR die_engineering (“DIE ENGINEERING”)

SetReverseExtendDirection

GuidedExtensionBuilder.SetReverseExtendDirection

Reverses surface extend direction

Signature SetReverseExtendDirection(reverseExtendDirection)

Parameters:reverseExtendDirection (bool) – Reverse surface extend direction

New in version NX9.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR nx_freeform_2 (“advanced freeform modeling”) OR ug_mold_design (“UG MOLD”) OR die_engineering (“DIE ENGINEERING”)

SetSelectedSegmentType

GuidedExtensionBuilder.SetSelectedSegmentType

Sets the segment type for the selected segment.

Signature SetSelectedSegmentType(segmentType)

Parameters:segmentType (NXOpen.Tooling.GuidedExtensionBuilderSegmentType) – Segment type for the selected segment

New in version NX9.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR nx_freeform_2 (“advanced freeform modeling”) OR ug_mold_design (“UG MOLD”) OR die_engineering (“DIE ENGINEERING”)

SplitSegment

GuidedExtensionBuilder.SplitSegment

Splits the selected segment into multiple segments by placing guide lines at end points of the edges for the selected segment.

Signature SplitSegment()

New in version NX9.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR nx_freeform_2 (“advanced freeform modeling”) OR ug_mold_design (“UG MOLD”) OR die_engineering (“DIE ENGINEERING”)

UpdateAllGuideLinesLength

GuidedExtensionBuilder.UpdateAllGuideLinesLength

Updates the length of all the guide lines whenever the user changes the extend length of the surfaces interactively.

Signature UpdateAllGuideLinesLength()

New in version NX9.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR nx_freeform_2 (“advanced freeform modeling”) OR ug_mold_design (“UG MOLD”) OR die_engineering (“DIE ENGINEERING”)

UpdateSheetEdges

GuidedExtensionBuilder.UpdateSheetEdges

Updates the information for the sheet edges of the selected section whenever sheet edges are selected or de-selected.

Signature UpdateSheetEdges()

New in version NX9.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”) OR nx_freeform_2 (“advanced freeform modeling”) OR ug_mold_design (“UG MOLD”) OR die_engineering (“DIE ENGINEERING”)

Validate

GuidedExtensionBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.